This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1258424 - vorbis-tools: Bufer overflow in aiff_open function
vorbis-tools: Bufer overflow in aiff_open function
Status: CLOSED DUPLICATE of bug 1258443
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150808,reported=2...
: Security
Depends On: 1258427
Blocks: 1258426
  Show dependency treegraph
 
Reported: 2015-08-31 07:06 EDT by Adam Mariš
Modified: 2015-10-22 03:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-31 11:06:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-08-31 07:06:30 EDT
A buffer overflow vulnerability was found in oggenc/audio.c in function aiff_open when trying to open invalid aiff file:

if(fread(buffer,1,len,in) < len)

where variable 'len' can be controlled by user via:

if(!find_aiff_chunk(in, "COMM", &len))

Upstream patch:

https://trac.xiph.org/attachment/ticket/2212/0001-oggenc-Fix-large-alloca-on-bad-AIFF-input.patch

Upstream report (containing reproducer):

https://trac.xiph.org/ticket/2212
Comment 1 Adam Mariš 2015-08-31 07:10:51 EDT
Created vorbis-tools tracking bugs for this issue:

Affects: fedora-all [bug 1258427]
Comment 2 Martin Prpič 2015-08-31 11:06:20 EDT

*** This bug has been marked as a duplicate of bug 1258443 ***
Comment 3 Fedora Update System 2015-09-04 15:46:12 EDT
vorbis-tools-1.4.0-22.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2015-09-16 17:21:03 EDT
vorbis-tools-1.4.0-20.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.